phosh 0.57.0
------------
Released August 2026
* Use two column top panel in landscape in the unlocked shell
* Add transition from running app to overview. This is disabled by
  default as it will be improved in the 0.58 cycle.
* Multiple bug fixes
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/work_items/130
* Contributors:
    * David Heidelberg
    * Guido Günther
    * niko
    * nikodunk
* UI translations:
    * Antonio Marin (ro)
    * Asier Saratsua Garmendia (eu)
    * Baurzhan Muftakhidinov (kk)
    * Nathan Follens (nl)
    * Prasanta Hembram (sat)
    * Sabri Ünal (tr)
    * Zeqian Sun (zh_CN)

phosh 0.56.0
------------
Released July 2026
* New load meter plugin for the top bar
* Allow to hide applications from the app-grid when GNOME Software is
  not in use. This helps on immutable distro variants like
  postmarketOS Duranium and Phosh's BengalOS to hide applications that
  are shipped in the base image.
* Improvements and bug fixes:
    * Allow to enable syncthing plugin via mobile settings
    * Show notification when app can't be uninstalled
    * Avoid slow startup notification (with e.g. Firefox) by tracking
      apps we forked so they get more time during startup
    * Unquote app-id's if the app accidentally quotes them fixing
      another case of seemingly slow startup
    * Avoid Bluetooth quick setting getting disabled on output changes
    * Allow to rotate lock screen on tablets
    * Apply cutout config changes immediately
    * Lockscreen style improvements
    * Some crash and leak fixes
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/999
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1238
    * https://gitlab.gnome.org/World/Phosh/phosh/-/work_items/1339
    * https://gitlab.gnome.org/World/Phosh/phosh/-/work_items/1343
* Contributors:
    * Domenico Iezzi
    * Gotam Gorabh
    * Guido Günther
    * johnwa
    * nicole mikołajczyk
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Asier Saratsua Garmendia (eu)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Flynn Peck (kw)
    * Hugo Carvalho (pt)
    * Jürgen Benvenuti (de)
    * Luiggi R. Cardoso (pt_BR)
    * Martin (sl)
    * Rafael Fontenelle
    * Ryo Nakano (ja)
    * Victoria Niedzielska (pl)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)
    * Марко Костић (sr)

phosh 0.55.0
------------
Released May 2026
* New syncthing quick setting
* Don't dim screen when there's no ambient sensor
* Various other bug fixes including leak fixes
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1333
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1267
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1303
* Contributors:
    * Arun Mani J
    * Evangelos Ribeiro Tzaras
    * Guido Günther
    * nicole mikołajczyk
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Christian Kirbach (de)
    * Ekaterine Papava (ka)
    * Hugo Carvalho (pt)
    * Jiri Grönroos (fi)
    * Martin (sl)
    * Pierre Michel Augustin (ht)
    * Ryo Nakano (ja)
    * Yuri Chornoivan (uk)
    * nicole mikołajczyk (pl)
    * Марко Костић (sr)

phosh 0.54.0
------------
Released April 2026
* Status icons can now be implemented as plugins
* Show notification when app fails to start
* New status page in the location quick setting allows to set accuracy
* Make sure cutouts don't overlap buttons in the settings panel
* Update list of adaptive apps
* Make sure phosh-session always has a DBus session
* Drop gsd-wacom from session, it's gone in gsd
* Leak fixes and internal cleanups
* Contributors:
    * Achill Gilgenast
    * Andrey Skvortsov
    * Arun Mani J
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
* UI translations:
    * Alexander Alexandrov Shopov (bg)
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Asier Saratsua Garmendia (eu)
    * Balázs Úr (hu)
    * Baurzhan Muftakhidinov (kk)
    * Bruce Cowan (en_GB)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Flynn Peck (kw)
    * Hugo Carvalho (pt)
    * Juliano de Souza Camargo (pt_BR)
    * Martin (sl)
    * Ryo Nakano (ja)
    * twlvnn kraftwerk (bg)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)
    * Марко Костић (sr)

phosh 0.53.0
------------
Released February 2026
* Various auto brightness improvements, e.g.
  * remember auto brightness offset
  * compensate for night light
* overview: Show thumbnails for launching apps
* overview: Style improvements
* polkit-prompt: Show more user data
* Activation fixes for notifications
  (Needs https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/9269)
* caffeine: Allow to open plugin prefs from the status page
* Multiple other fixes (Use alias for Bluetooth devices, improve app icon
  lookup, …)
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/647
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/813
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1229
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1280
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1287
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1292
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1297
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1300
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1298
* Contributors:
    * AJ Dunevent
    * Arun Mani J
    * Guido Günther
    * Rudra Pratap Singh
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Álvaro Burns (pt_BR)
    * Danial Behzadi (fa)
    * Efstathios Iosifidis (el)
    * Ekaterine Papava (ka)
    * Flynn Peck (kw)
    * Fredrik Fyksen (nb)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Quentin PAGÈS (oc)
    * Sabri Ünal (tr)
    * Yuri Chornoivan (uk)
    * twlvnn kraftwerk (bg)

phosh 0.52.1
------------
Released January 2026
* Prevent crash in gvc with newer pipewire 1.5.84 / wireplumber 0.5.13
* Contributors:
    * Guido Günther

phosh 0.52.0
------------
Released January 2026
* Add `DebugControl` debug interface to control debug options at runtime
* Add brightness gesture to lockscreen
* Wi-Fi hotspot: Show QR code to ease connecting devices
* Bug fixes and internal cleanups
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/814
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1259
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1285
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1286
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1293
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1294
* Contributors:
    * Achill Gilgenast
    * Arun Mani J
    * Guido Günther
    * Rudra Pratap Singh
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Asier Saratsua Garmendia (eu)
    * Danial Behzadi (fa)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Jiri Grönroos (fi)
    * Juliano de Souza Camargo (pt_BR)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Rafael Fontenelle (pt_BR)
    * Victor Dargallo (ca)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.51.0
------------
Released November 2025
* Add location quick setting
* caffeine: Allow to select duration and configure durations via mobile
  settings
* brightness/auto-brightness improvements:
  * Handle auto-brightness via a bucket based algorithm
  * Let brightness slider be an offset around the auto-brightness value
  * Icon next to brightness slider indicates auto-brightness on/off
  * Gradually transition to new auto-brightness value
  * Auto-brightness can be enabled/disabled via a status page
* torch: Allow to configure minimal brightness via hwdb/udev
* Fix upcoming-event’s plugin empty state
* Fix “Open settings” button position on devices with rounded corners
* Lots of internal cleanups and fixes
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1255
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1272
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1274
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1276
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1281
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1282
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/783
* Contributors:
    * Arun Mani J
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
    * Robert Eckelmann
    * Rudra Pratap Singh
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Efstathios Iosifidis (el)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Juliano de Souza Camargo (pt_BR)
    * Martin (sl)
    * Nathan Follens (nl)
    * Sabri Ünal (tr)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.50.0
------------
Released October 2025
* Allow to open the top-bar settings panel easily
* Move brightness handling to phosh, it got dropped from g-s-d 49.
* Mark demo plugins as `NoDisplay` so they don't show in p-m-s
* Don't crash g-c-c when running nested
* Reset them when auto-HighContrast is turned off
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1261
* Contributors:
    * Anna (cybertailor) Vyalkova
    * Evangelos Ribeiro Tzaras
    * Guido Günther
* UI translations:
    * Emin Tufan Çetin (tr)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Kristjan SCHMIDT (eo)
    * Nathan Follens (nl)
    * Philipp Kiemle (de)
    * Sabri Ünal (tr)
    * twlvnn kraftwerk (bg)
    * Yaron Shahrabani (he)

phosh 0.49.0
------------
Released August 2025
* upcoming-events: Allow to exclude days without events
* Use phrosh portal when available
* overview: Don't let search entry take the whole width
* Improve media widget's cover art thumbnails
* Improve keypad and search bar style
* Cellbroadcast related fixes
* Add searchd
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1242
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1245
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/290
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/703
* Contributors:
    * Achill Gilgenast
    * Arun Mani J
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
    * hustlerone
    * Rudra Pratap Singh
    * Zander Brown
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Ekaterine Papava (ka)
    * Juliano de Souza Camargo (pt_BR)
    * Martin (sl)
    * Yuri Chornoivan (uk)
    * twlvnn kraftwerk (bg)

phosh 0.48.0
------------
Released June 2025
* New lockscreen plugin that allows to interact with all currently
  running media players that use the MPRIS protocol.
* Build VAPI files so one can also write plugins in vala (See
  https://gitlab.gnome.org/guidog/phosh-vala-plugins) for an example
* Enable Cell Broadcast dialogs by default. Mobile Settings has the
  needed UI bits now.
* Update list of adaptive apps
* Various bug fixes and GTK4 preps
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1234
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1237
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1154
* Contributors:
    * Arun Mani J
    * fossdd
    * Guido Günther
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Martin (sl)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)
    * Álvaro Burns (pt_BR)

phosh 0.47.0
------------
Released May 2025
* notifications: Handle cellbroacast events from the desktop portal v2
  spec
* app-list-model: Track StartupWMClass for better app-id matching
* Avoid flicker when unblanking lock screen with media widget present
* Add status page to feedback quick settings that allows to enable
  "Do not disturb" and to go to the feedback settings easily
* Fix showing of active network on Wi-Fi status page when the network
  has multiple access points
* Don't let OSD block input on the whole screen when shown
* Disable mobile data quick settings when SIM is locked
* More GTK4 preps
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1222
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1183
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1095
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1180
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1218
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1224
* Contributors:
    * Arun Mani J
    * fossdd
    * Guido Günther
* UI translations:
    * Álvaro Burns (pt_BR)
    * Anders Jonsson (sv)
    * Andi Chandler (en_GB)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Baxrom Raxmatov (uz)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Martin (sl)
    * twlvnn kraftwerk (bg)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.46.0
------------
Released March 2025
* lockscreen: Allow to set background image. Off by default, can be enabled
  via mobile-settings (or `gsettings`).
* Close quick-settings status pages when closing the top panel
* Notifications: Use slide down animation in the message tray and allow to focus
  default action
* media-player: Use `can-play` to device whether we should show the widget
* media-player: Download cover-art when possible
* layout-manager: Handle notches/cutouts in the indicator areas. This
  helps devices with a e.g. camera in the left display corner (like
  the Nothing Phone).
* Use more consistent button press feedback
* wifi-quick-setting: Indicate ongoing Wi-Fi scans in the status page
* Add `phosh.gsettings(5)` manpage.
* Set more wallpaper friendly defaults and improve legibility, reduce
  flicker, fix thumbnail scaling and other fixes.
* Simplify UI files and other bits preps for a GTK4 migration
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1138
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1208
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1136
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1152
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1217
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1220
* Contributors:
    * Arun Mani J
    * Bardia Moshiri
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
    * Sam Day
    * Sebastian Krzyszkowiak
    * Sicelo A. Mhlongo
* UI translations:
    * Vasil Pupkin (be)
    * Bruce Cowan (en_GB)
    * Vincent Chatelain (fr)
    * Andika Triwidada (id)
    * Daniel Șerbănescu (ro)
    * Jordi Mas i Hernandez (ca)
    * Yaron Shahrabani (he)

phosh 0.45.0
------------
Released February 2025
* Detect captive portals and allow to open browser
* New quick setting plugin to switch display scales
* Create thumbnails for Screenshots
* Allow to uninstall apps from app-grid
* Close quick setting status pages when action was successful
* Add 'sound' capbility to notification server
* WWan enable/disable autoconnect with the connection so e.g.
  mobile data doesn't turn on on resume
* Minimize and stabilize libphosh API
* prefs plugins: Remove the last remaining GtkDialog and use
  AdwEntryRow
* Respect week number setting in calendar widget
* Avoid crash when fixing between certain combinations of fractional
  scales (with e.g. wlr-randr)
* Allow libphosh users to hide the whole overview/bottom bar
* Fade in system modal dialogs
* Several background image related fixes
* Fix crash on unlock with media player widget
* Simplify most UI files
* Issues fixed:
    * https://gitlab.gnome.org/guidog/meta-phosh/-/issues/16
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/989
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1139
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1159
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1166
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1169
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1171
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1173
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1176
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1177
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1181
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1184
* Contributors:
    * Adam Honse
    * Arun Mani J
    * Cédric Bellegarde
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
    * Sam Day
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Martin (sl)
    * Rafael Fontenelle (pt_BR)
    * Sabri Ünal (tr)
    * twlvnn kraftwerk (bg)
    * Yuri Chornoivan (uk)

phosh 0.44.0
------------
Released December 2024
* Set background in overview
* Allow to unfullscreen fullscreen apps from the overview
* Handle Cell broadcast messages. Shown as system modal dialog
  (needs yet unreleased ModemManger / libmm-glib)
* Use AdwPreferencesDialog for prefs plugins giving more mobile
  friendly dialogs
* Notification style fixes
* Animate hiding notification banners
* Internal cleanups and fixes
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1012
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/901
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/377
* Contributors:
    * Gotam Gorabh
    * Guido Günther
* UI translations:
    * Alexandre Franke (fr)
    * Ekaterine Papava (ka)
    * Hugo Carvalho (pt)
    * Jordi Mas i Hernandez (ca)
    * Pierre Michel Augustin (ht)
    * Tim Sabsch (de)
    * Yaron Shahrabani (he)
    * twlvnn kraftwerk (bg)

phosh 0.43.0
------------
Released November 2024
* Improved quick settings
  - Do away with long press to open status pages
  - Show status pages below quick settings
  - Custom quick settings can now have status pages too
* Support accent colors
* New quick setting: Simple Pomodoro timer (can be
  configured via Mobile Settings)
* Notification system improvements and fixes, e.g.
  - Fix some banners not showing
  - Animate hiding applications in the tray and more fixes
  - More consistent event feedback for notifications (so that
    e.g. there's not only LED feedback when the device is
    unused/locked)
  - Try harder to find an application item
* Allow to disable lockscreen authentication
* Save screenshots to screenshots folder
* Lots of other fixes, focus and style improvements
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1090
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1118
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1124
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1125
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1127
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1130
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1132
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1133
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1134
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1143
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1144
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/221
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/351
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/728
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/928
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/964
    * https://source.puri.sm/Librem5/feedbackd/-/merge_requests/69
* Contributors:
    * Anna (cybertailor) Vyalkova
    * Arun Mani J
    * Eugenio Paolantonio (g7)
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
    * Kenny Levinsen
    * Sam Day
    * Teemu Ikonen
* UI translations:
    * Anders Jonsson (sv)
    * Andi Chandler (en_GB)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Jordi Mas i Hernandez (ca)
    * Juliano de Souza Camargo (pt_BR)
    * Martin (sl)
    * Nathan Follens (nl)
    * Rafael Fontenelle (pt_BR)
    * Vincent Chatelain (fr)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.42.0
------------
Released September 2024
* lockscreen: Allow to adjust to smaller screen sizes
* lockscreen: Swap horizontal deck and vertical carousel to not accidentally
  trigger swipe when entering PIN
* upcoming-events plugin: Allow to configure number of days
* torch: Hide brightness slider when there's only a single brightness level
* Improve notification appearance when there's multiple notifications from the
  same app
* Use parent's icon for toplevels without a proper matching icon
* Handle WWan network types better
* Make Wi-Fi hotspot insensitive on lock screen to be consistent
  with Wi-Fi network switching.
* Make compatibility with g-s-d 47
* In preparation of Cell Broadcast support use mm-glib for
  ModemManager interaction
* Ease setup and lib versioning for libphosh-rs users
* Fix crashes related to scale changes, Wi-Fi hotspot and other bug
  fixes
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1050
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1027
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/901
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1104
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1108
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1115
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/899
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/970
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/858
* Contributors:
    * Arun Mani J
    * Evangelos Ribeiro Tzaras
    * Gotam Gorabh
    * Guido Günther
    * Jared Toomey
    * Sam Day
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Balázs Úr (hu)
    * Bruce Cowan (en_GB)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Juliano de Souza Camargo (pt_BR)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Sabri Ünal (tr)
    * Vasil Pupkin (be)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.41.0
------------
Released August 2024
* media-player: Add track position, length and progress bar
* Add (optional) Wi-Fi Hotspot Quick Setting
* Add Bluetooth Quick Setting status page allowing to
  connect/disconnect known devices
* Allow to (optionally) put the phone in silent mode when pressing Vol-
  on incoming calls
* Give Quick Setting status pages (and their individual rows) more
  vertical space so selecting from a large list of Wi-Fi networks or
  Bluetooth devices becomes less fiddly
* Fix keypad layouts in RTL languages
* Allow lock screen to have an extra page (mostly useful to libphosh
  consumers)
* Switch all git submodules to meson subprojects (following what we
  did in phoc a while back)
* Fix remaining introspection nits so we can ran gir-scanner and gi-docgen
  with --fatal-warnings
* Lots of internal improvements e.g. allowing us to do new status pages
  with less boilerplate
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1092
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/922
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/780
* Contributors:
    * Arun Mani J
    * Cédric Bellegarde
    * Evangelos Ribeiro Tzaras
    * Guido Günther
    * Sam Day
    * Teemu Ikonen
    * Xiao Pan
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Balázs Úr (hu)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Sabri Ünal (tr)
    * Scrambled 777 (hi)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.40.0
------------
Released June 2024
* New quick setting plugins:
    * Dark style toggle
    * Mobile data toggle
* Other improvements:
    * Allow to suspend when device is locked
    * Shorten power menu long press delay
    * Wire up screenshot keybinding
    * Tweak multiple gsetting overrides (default idle-delay, unlock
       sim, sound theme, …)
    * Fix too large and too small icons in folder buttons
    * launcher-box: Properly align count and progress to not look out
      of place
    * Move launched processes to transient scope
    * Split settings enums into separate header so it can be shared with
      mobile settings.
    * Further speed up build by building a library for the stubs
    * session: Drop support for `--builtin` session fallback
    * Fix background loading related crash
    * Add option to install shared lib for Rust binding generation
    * Allow lockscreen and shell classes to be overridable from the
      Rust bindings
    * Add modem mock mocks test status and mobile data connections
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/691
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1069
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1069
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/990
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/931
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/963
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1071
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1073
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1072
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1036
* Contributors:
    * Arun Mani J
    * Gotam Gorabh
    * Guido Günther
    * Sam Day
    * Teemu Ikonen
* UI translations:
    * Anders Jonsson (sv)
    * Antonio Marin (ro)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Martin (sl)
    * Scrambled 777 (hi)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)

phosh 0.39.0
------------
Released May 2024
* Support folders to organize apps in the overview
* Optional night light quick setting
* Lots of introspection/documentation fixups in preparation for the Rust bindings
* Test suite improvements (stable clock, use shell state instead of
  timeouts to track state changes, mpris metadata, …)
* Split generated headers and sources to speed up build and save CI resources
* Improve translatability of timestamp labels
* Issues fixed:
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1042
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1056
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1058
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/785
    * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/868
* Contributors:
    * Arun Mani J
    * Guido Günther
    * Sam Day
* UI translations:
    * Anders Jonsson (sv)
    * Andi Chandler (en_GB)
    * Andika Triwidada (id)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Jordi Mas i Hernandez (ca)
    * Martin (sl)
    * Quentin PAGÈS (oc)
    * Sabri Ünal (tr)
    * Scrambled 777 (hi)
    * Yaron Shahrabani (he)
    * Yuri Chornoivan (uk)

phosh 0.38.0
------------
Released April 2024
* Allow launcher entries to display count and progress
* Better handle devices with rounded corners
* Handle data: URIs in the media-player
* OSD improvements in case there's no level
* Fix some background scaling related issued introdueced in 0.37.0
* Fix session startup with gnome-session 46
* Issues fixed:
  * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1035
* Contributors:
    * Daniel Rusek
    * Guido Günther
    * Jesús Higueras
* UI translations:
    * Anders Jonsson (sv)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Sabri Ünal (tr)
    * Vittorio Monti (it)
    * Yuri Chornoivan (uk)

phosh 0.37.0
------------
Released March 2024
* Allow to select Wi-Fi network via quick setting
* Allow plugins to implement quick settings
* Allow plugins to use selected phosh internals
* Load background images async
* Add caffeine quick setting
* More bug, keyboard navigation and style fixes
* Issues fixed:
  * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1025
  * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/447
  * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/910
  * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/743
  * https://gitlab.gnome.org/World/Phosh/phosh/-/issues/829
* Contributors:
    * Arun Mani J
    * Guido Günther
    * Rodney Lorrimar
    * Sicelo A. Mhlongo
* UI translations:
    * Anders Jonsson (sv)
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Ekaterine Papava (ka)
    * Florentina Mușat (ro)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Jürgen Benvenuti (de)
    * Pablo Barciela (es)
    * Sabri Ünal (tr)
    * Vittorio Monti (it)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)

phosh 0.36.0
------------
Released February 2024
* Allow to tweak home bars's osk long press delay
* Drop home bar's animated arrow
* Improve app-id mappings
* Don't hard code Cantarell Font
* Pick up night light on newly plugged screens
* Unbreak service file with newer systemd
* More bug fixes and cleanups
* Issues fixed:
  - https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1016
  - https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1019
* Contributors:
    * Anna “CyberTailor”
    * Bardia Moshiri
    * Guido Günther
    * Kai Lüke
    * Sertonix
* UI translations:
    * Martin (sl)
    * Pierre Michel Augustin (ht)

phosh 0.35.0
------------
Released January 2024
* Make home bar smaller. OSK opens via long press on pill.
* Indicate 5G when detected
* Fix suspend-inhibitor when hotspot is on
* Fix swipe back when lockscreen widget box is open
* Issues fixed:
  - https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1010
  - https://gitlab.gnome.org/World/Phosh/phosh/-/issues/1001
  - https:// gitlab.gnome.org/World/Phosh/phosh/-/issues/380
* Contributors:
    * Bardia Moshiri
    * Guido Günther
    * mathew-dennis
* UI translations:
    * Artur S0 (ru)
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Yosef Or Boczko (he)

phosh 0.34.0
------------
Released December 2023
* End session dialog improvements
* Bring back night light
* Use ext-idle-notify-v1 Wayland protocol (requires phoc >= 0.33.0)
* Bump dependencies: Switch to gmobile 0.0.4 and libcall-ui 0.1.1
* Small UI improvements
* CI improvements: Check coding style, improve ci-fairy checks
* Issues fixed:
  - https://gitlab.gnome.org/World/Phosh/phosh/-/issues/994
  - https://gitlab.gnome.org/World/Phosh/phosh/-/issues/875
  - https://source.puri.sm/Librem5/OS-issues/-/issues/343
* Contributors:
    * Arun Mani J
    * Guido Günther
* UI translations:
    * Artur S0 (ru)
    * Jordi Mas i Hernandez (ca)
    * Juliano de Souza Camargo (pt_BR)
    * Vittorio Monti (it)

phosh 0.33.0
------------
Released November 2023
* Add launcher lock screen plugin
* Allow to show password in all system modal prompts
* Issues fixed:
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/848
* Contributors:
    * Guido Günther
    * pseudorandom-x
* UI translations:
    * Anders Jonsson (sv)
    * Emin Tufan Çetin (tr)
    * Florentina Mușat (ro)
    * Sabri Ünal (tr)
    * Yuri Chornoivan (uk)

phosh 0.32.0
------------
Released October 2023
* Allow apps to suppress notification feedback
* Hide separator when there are no favorites
* Feedback robustness
* Doc updates
* Officially deprecate reading `rootston.ini`
* Issues fixed:
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/730
* Contributors:
    * Guido Günther
    * Keegan Sabo
* UI translations:
    * Tjipke van der Heide (fy)
    * Vasil Pupkin (be)

phosh 0.31.1
------------
Released September 2023
* Fix version in meson file
* Contributors:
    * Guido Günther

phosh 0.31.0
------------
Released September 2023
* Ship portal configuration for xdg-desktop-portal
* Handle tablet-mode-switch of convertibles
* Contributors:
    * Guido Günther
    * Simon McVittie
* UI translations:
    * Artur S0 (ru)
    * Asier Sarasua Garmendia (eu)
    * Boyuan Yang (zh_CN)
    * Efstathios Iosifidis (el)
    * Fran Dieguez (gl)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Nathan Follens (nl)
    * Sabri Ünal (tr)

phosh 0.30.0
------------
Released August 2023
* Save screenshots at full resolution
* Fix missing icon when e.g. connecting to a car's audio unit via BT
* Improve ongoing call notification.
* Update gvc submodule fixing a crash when restart pw-pulse
* Don't require gsd-xsettings in the session. No need to spawn
  XWayland for that.
* Update gmobile to support more notches (Poco F1 and FF4)
* Issues fixed:
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/968
* Contributors:
    * anteater
    * Guido Günther
* UI translations:
    * Balázs Úr (hu)
    * Daniel Rusek (cs)
    * Daniel Șerbănescu (ro)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Piotr Drąg (pl)
    * Yosef Or Boczko (he)

phosh 0.29.0
------------
Released July 2023
* Add audio device details and selection to settings
* Use animation with automatic HighContrast to indicate what is
  happening
* Automatically avoid notches when device information is available
* Add lockscreen notification about ongoing calls
* Allow lockscreen notifications to take more vertical space
* Allow to suspend from system menu
  ([when enabled](https://gitlab.gnome.org/World/Phosh/phosh/-/wikis/Configuration))
* Fade out system modal dialogs
* Emergency info preferences plugin robustness
* Robustness fixes around notifications and feedback
* Make ASAN tests more useful again
* Issues fixed:
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/591
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/593
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/890
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/922
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/951
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/955
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/957
* Contributors:
    * Guido Günther
    * Sam Hewitt
    * undef
* UI translations:
    * Anders Jonsson (sv)
    * Danial Behzadi (fa)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Jiri Grönroos (fi)
    * Jordi Mas i Hernandez (ca)
    * Martin (sl)
    * Piotr Drąg (pl)
    * Prasanta Hembram (sat)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)

phosh 0.28.0
------------
Released May 2023
* Allow notifications to wake up the screen. Can be configured by
  category and urgency.
* Allow lockscreen to work on smaller displays
* Allow to reboot / log out from the settings power menu
* Styling improvements in several places
* Smoothen transition from splash to application
* Handle super key to open overview
* Handle auto repeat on grabbed keys (e.g. volume keys)
* Update to libcall-ui 0.1.0
* Bump minimal supported GNOME versions to 42 and glib to 2.72
* Issues fixed:
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/525
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/934
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/563
* Contributors:
    * Alistair Francis
    * Eugenio Paolantonio (g7)
    * Evangelos Ribeiro Tzaras
    * Guido Günther
    * Sam Hewitt
    * Suraj Kumar Mahto
    * Thomas Booker
* UI translations:
    * Danial Behzadi (fa)
    * Daniel Rusek (cs)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Jordi Mas i Hernandez (ca)
    * Michael Oppliger (de)
    * Pablo Correa Gómez (es)
    * Piotr Drąg (pl)
    * Vittorio Monti (it)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)

phosh 0.27.0
------------
Released May 2023
* Initial emergency call support (needs to be enabled via GSetting)
* New menu on power button long press
* Allow to take fullscreen screenshots without external tools
* Honor applications feedback level for notifications
* Styling and layout improvements for system modal dialog
* Issues Fixed:
  https://gitlab.gnome.org/GNOME/calls/-/issues/30
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/671
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/914
* Contributors:
    * CoderThomasB
    * Guido Günther
    * Sam Hewitt
* UI translations:
    * Aleksandr Melman (ru)
    * Anders Jonsson (sv)
    * Danial Behzadi (fa)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Fran Dieguez (gl)
    * Jiri Grönroos (fi)
    * Martin (sl)
    * Piotr Drąg (pl)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)
    * Мирослав Николић (sr)

phosh 0.26.0
------------
Released April 2023
* Inhibit suspend when WiFi hotspot is active
* Test suite improvements
* Power button handling improvements
* Avoid deprecations with GTK 4.10 in preferences plugins
* Make sure quick settings take enough vertical
  space on the lock screen to avoid a needless scrollbar
* Issues Fixed:
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/903
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/907
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/909
  https://gitlab.gnome.org/World/Phosh/phosh/-/issues/911
* Contributors:
    * Guido Günther
    * Sam Hewitt
    * Newbyte
* UI translations:
    * Aleksandr Melman (ru)
    * Anders Jonsson (sv)
    * Asier Sarasua Garmendia (eu)
    * Balázs Úr (hu)
    * Danial Behzadi (fa)
    * Daniel Șerbănescu (ro)
    * Hugo Carvalho (pt)
    * Jiri Grönroos (fi)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Piotr Drąg (pl)
    * Sabri Ünal (tr)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)
    * Nathan Follens (nl)

phosh 0.25.1
------------
Released March 2023
* Avoid race that might end up with two overlaying lock screens
  e.g. after suspend (#838)
* Limit slider width in settings (#898)
* Contributors:
    * Guido Günther
    * Newbyte
    * Sam Hewitt

phosh 0.25.0
------------
Released March 2023
* New plugin to configure emergency contact preferences
* Quick Settings menu style refresh
* Separate locking from blanking
* Animate status icon transitions
* Improve settings menu usability in landscape
* Lots of internal cleanups
* Contributors:
    * Cédric Bellegarde
    * Chris Talbot
    * Guido Günther
    * Sam Hewitt
* UI translations:
    * Anders Jonsson (sv)
    * Danial Behzadi (fa)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Hemish (hi)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Yosef Or Boczko (he)
    * Yuri Chornoivan (uk)

phosh 0.24.0
------------
Released January 2023
* Add manpages
* Various stability fixes
* Better detect logind session (to unbreak `loginctl (un)lock-session`)
* Testsuite improvements
* Update to gmobile 0.0.1
* Honor stricter protocol implementation in wlroots 0.16.0
* Contributors:
    * Andrey Skvortsov
    * Guido Günther
* UI translations:
    * Aleksandr Melman (ru)
    * Anders Jonsson (sv)
    * Daniel Șerbănescu (ro)
    * Ekaterine Papava (ka)
    * Emin Tufan Çetin (tr)
    * Goran Vidović (hr)
    * Hemish (hi)
    * Hugo Carvalho (pt)
    * Jürgen Benvenuti (de)
    * Martin (sl)
    * Yuri Chornoivan (uk)

phosh 0.23.0
------------
Released December 2022
* New lockscreen plugin for personal/emergency information
* Allow plugins to have UI to set preferences
* Ease creating plugin by better examples, improved helpers
  and less duplication.
* Switch docs to gi-docgen
* Contributors:
	Chris Talbot
	Evangelos Ribeiro Tzaras
	Guido Günther
* UI translations:
	Aleksandr Melman (ru)
	Hugo Carvalho (pt)
	Martin (sl)
	Yosef Or Boczko (he)
	Zurab Kargareteli (ka)

phosh 0.22.0
------------
Released October 2022
* Use 10% steps for battery info icon
* Honor suspend time in upcoming events refresh
* Allow notifications to have actions on the lock screen
* Activity close-button style refresh
* Contributors:
	codewood
	Guido Günther
	Sam Hewitt
* UI translations:
	Anders Jonsson (sv)
	Balázs Úr (hu)
	Daniel Șerbănescu (ro)
	Hugo Carvalho (pt)
	Nathan Follens (nl)
	Vittorio Monti (it)
	Vojtěch Vengrin (cs)
	Yuri Chornoivan (uk)
	Zurab Kargareteli (ka)
	Danial Behzadi
	Balázs Úr

phosh 0.21.1
------------
Released September 2022
* Bug fixes and cleanups (also to catch up with glib 2.74)
* Update to libcall-ui 0.0.5
* Lots of translation updates
* Contributors:
	Evangelos Ribeiro Tzaras
	Fiona Klute
	Guido Günther
	Sam Hewitt
* UI translations:
	Aleksandr Melman (ru)
	Anders Jonsson (sv)
	Danial Behzadi (fa)
	Daniel Șerbănescu (ro)
	Emin Tufan Çetin (tr)
	Goran Vidović (hr)
	Jiri Grönroos (fi)
	Jürgen Benvenuti (de)
	Martin (sl)
	Piotr Drąg (pl)
	Rūdolfs Mazurs (lv)
	Vittorio Monti (it)
	Yosef Or Boczko (he)
	Yuri Chornoivan (uk)
	Zurab Kargareteli (ka)
	Марко Костић (sr)

phosh 0.21.0
------------
Released September 2022
* Add (experimental) upcoming-events lock screen
  widget
* Allow to disable GTK animations again
* Improve screenshot support
* Report a version via DBus
* Update libcall-ui to 0.0.4
* More bug fixes
* Contributors:
	Evangelos Ribeiro Tzaras
	Guido Günther
	Sebastian Krzyszkowiak
* UI translations:
	Balázs Úr (hu)
	Emin Tufan Çetin (tr)
	Goran Vidović (hr)
	Jiri Grönroos (fi)
	Yuri Chornoivan (uk)

phosh 0.20.0
------------
Released August 2022
* more bug fixes related to lockscreen,
  drag surfaces and high contrast.
* Allow to switch to high contrast theme based on
  ambient sensor
* Contributors:
	Guido Günther
	Sam Hewitt
	Sebastian Krzyszkowiak

phosh 0.20.0~beta3
------------------
Released July 2022
* This is a beta release
* Many bug fixes related to the overview, lockscreen, osk handling,
  screen rotation, tests and drag_surfaces.
* Support plugins on the lock screen
* Add a symbolic icon for phosh
* Contributors:
	Alexander Mikhaylenko
	Guido Günther
	Sam Hewitt
	Sebastian Krzyszkowiak
* UI translations:
	Efstathios Iosifidis (el)
	Vittorio Monti (it)
	Zurab Kargareteli (ka)
	Мирослав Николић (sr)

phosh 0.20.0~beta2
-------------------
Released June 2022
* This is a beta release
* Fix top-bar's layer depending on state (locked, etc.)
* Fix multiple visual glitches related to overview and settings
* Improve OSK handling
* Switch to libcall-ui 0.0.3
* Fix rotation manager not getting an output for some
  display types
* Style improvements for notifications
* Contributors:
	Evangelos Ribeiro Tzaras
	Gerben Jan Dijkman
	Guido Günther
	Linus Walleij
	Pablo Barciela
	Sam Hewitt
	Sebastian Krzyszkowiak
* UI translations:
	Aleksandr Melman (ru)
	Anders Jonsson (sv)
	Danial Behzadi (fa)
	Daniel Șerbănescu (ro)
	Jiri Grönroos (fi)
	Jürgen Benvenuti (de)
	Nathan Follens (nl)
	Piotr Drąg (pl)
	Yosef Or Boczko (he)
	Yuri Chornoivan (uk)

phosh 0.20.0~beta1
-------------------
Released May 2022
* This is a beta release
* Home- and top-bar swipe gesture support
* Make settings and top-bar available on lock screen
* Move settings menu closer to designs
* Feedback indicator in top-bar
* Allow to view app details
* New DisplayConfig properties like
  ApplyMonitorsConfigAllowed and NightLightSupported.
* Another large round of cleanups and fixes
  including a fix for the HKS indicator
* Contributors:
	Arnaud Ferraris
	Guido Günther
	InsanePrawn
	Nathan Sherwood
	Pablo Correa Gómez
	Sam Hewitt
	Sebastian Krzyszkowiak
	Thomas
* UI translations:
	Balázs Úr (hu)
	Danial Behzadi (fa)
	Daniel Șerbănescu (ro)
	Emin Tufan Çetin (tr)
	Hugo Carvalho (pt)
	Jiri Grönroos (fi)
	Luna Jernberg (sv)
	Nathan Follens (nl)
	Pablo Barciela (es)
	Piotr Drąg (pl)
	Quentin PAGÈS (oc)
	Vittorio Monti (it)
	Yosef Or Boczko (he)
	Yuri Chornoivan (uk)
	Zurab Kargareteli (ka)

phosh 0.17.0
------------
Released: March 2022
* Access Portal support
* Mobile data indicator
* Suspend after resume fixes
* Contributors:
	Florian Loers
	Guido Günther
	Kai Lüke
	Pablo Barciela
	Sam Hewitt
	ZenWalker
* UI translations:
	Emin Tufan Çetin (tr)
	free software (es)
	Hugo Carvalho (pt)
	Jiri Grönroos (fi)
	Martin (sl)
	Pablo Barciela (es)
	Piotr Drąg (pl)
	Prasanta Hembram (sat)
	Мирослав Николић (sr)

phosh 0.16.0
------------
Released: February 2022
* Fading labels in the overview
* Keypad can shuffle buttons
* More style refresh
* Better ASAN coverage in tests
* Update to libcall-ui 0.0.2
* Plenty of fixes and cleanups
* Contributors:
	Adrien Plazas
	Evangelos Ribeiro Tzaras
	Guido Günther
	Pablo Barciela
	Sam Hewitt
* UI translations:
	Danial Behzadi (fa)
	Daniel Șerbănescu (ro)
	Fran Dieguez (gl)
	Marc Riera (ca)
	Matheus Barbosa (pt_BR)
	Yosef Or Boczko (he)

phosh 0.15.0
------------
Released: January 2022
* Swipeable notification frames
* VPN quicksettings, authentication and status icon
* "Run command" prompt improvement
* First parts of style refresh
* Make osk-stub more useful for debugging
* Hide some quick settings when hardware is not present
* Bring back gamma control protocol support
* Allow arbitrary passwords
* Rather large number of fixes
* Contributors:
	Alexander Mikhaylenko
	Evangelos Ribeiro Tzaras
	Guido Günther
	Pablo Barciela
	PanzerSajt
	Sam Hewitt
	Sebastian Krzyszkowiak
* UI translations:
	Anders Jonsson (sv)
	Danial Behzadi (fa)
	Daniel Șerbănescu (ro)
	Fabio Tomat (fur)
	Hugo Carvalho (pt)
	Nathan Follens (nl)
	Rafael Fontenelle (pt_BR)
	Vittorio Monti (it)
	Yuri Chornoivan (uk)
	Matej Urbančič (sl)

phosh 0.14.1
------------
Released: December 2021
* Show avatars during phone calls on lockscreen
* Allow for DTMF during phone calls on lockscreen
* Improve docked mode when phone screen is off
* Improve thumbnails in overview
* Add initial "Run command" prompt (Alt-F2)
* Plenty of bug fixes and cleanups
* Contributors: Evangelos Ribeiro Tzaras, Sebastian Krzyszkowiak, Florian Loers,
  Dorota Czaplejewicz, Hunman, Pablo Barciela, Guido Günther
* UI translations:
	Anders Jonsson (sv)
	Luna Jernberg (sv)
	Yuri Chornoivan (uk)

phosh 0.14.0
------------
Released: October 2021
* Launch splash support (Guido Günther)
* Move "Show all apps" toggle to the bottom (Guido Günther)
* Media player widget enhancements (Oliver Smith, Guido Günther)
* Fade in shell on startup to avoid flicker (Guido Günther)
* App icons on activities are now centered (Florian Loers)
* Test suite generates screenshots (Guido Günther)
* Wifi hotspot mode indicated in the top bar (Mohammed Sadiq)
* Music player is paused when headphones get unplugged (Guido Günther)
* Better app_id handling (Sebastian Krzyszkowiak)
* Some activity rendering improvements (Guido Günther)
* Some leak fixes
* UI translations:
	Danial Behzadi (fa)
	Goran Vidović (hr)
	Hugo Carvalho (pt)
	Jiri Groenroos (fi)
	Matej Urbančič (sl)
	Nathan Follens (nl)
	Vittorio Monti (it)
	Zander Brown (en_GB)

phosh 0.13.1
------------
Released: August 2021
* Cycle through all feedback profiles in quick setting
  (Pablo Correa Gómez)
* Add button to close all notifications (Guido Günther)
* Improve support for mounting encrypted media (Guido Günther)
* Don't launch app twice when keyboard activated from search bar
  (Guido Günther)
* Improve fractional scaling support (Guido Günther)
* Better media player styling (Guido Günther)
* UI translations:
	Daniel Șerbănescu (ro)
	Kristjan SCHMIDT (eo)
	Marc Riera (ca)
	Michael Oppliger (de)
	Andika Triwidada (id)

phosh 0.13.0
------------
Released: August 2021
* torch: Use logind for torch brightness. This obsoletes any upower changes.
  (Arnaud Ferraris)
* Support high contrast mode (David Hamner, Guido Günther)
* ci: Use prebuilt docker images in CI to speedup builds and save resources
  (Guido Günther)
* lockscreen: Handle incoming phone calls (Guido Günther)
* backgrounds: Handle fractional scaling (Guido Günther)
* notifications: Look at category for notification feedback
* lockscreen: Display notification summary and handle global
  "show-in-lock-screen" toggle (Guido Günther)
* panel: Fix power menu close on tap (Mohammed Sadiq)
* quick settings: Cycle through all feedback settings instead of only
  full / silent (Pablo Correa Gomez)
* Migrate to GNOME World (Andrea Veri, Guido Günther)
* UI translations:
	Anders Jonsson (sv)
	Efstathios Iosifidis (el)
	Rafael Fontenelle (pt_BR)
	Vittorio Monti (it)
	Yuri Chornoivan (uk)
	Мирослав Николић (sr)

phosh 0.12.1
------------
Released: July 2021
* Fix defaults for favorites
* Append 'Phosh' to XDG_CURRENT_DESKOP for the system unit too so overrides get
  applied even when not using a display manager
* Bring search bar closer to designs again
* Simplify tests and test calls-manager. Fix leaks spotted by those.
* Don't claim accelerometer when rotation lock is on reducing iio-sensor-proxy
  wakeups considerably
* i18n updates: uk, it, sv

phosh 0.12.0
------------
Released: June 2021
* Only enable proximity sensor on active calls, unblank screen on incoming
  calls. This needs at least gnome-calls 0.3.4 and either one of
  https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/3614
  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/2120
* Implement most parts of org.Gtk.MountOperationHandler to handle
  encrypted volume mounts in e.g. nautilus.
* Show adaptive apps in mobile mode and all apps in docked mode. This
  can be toggled via the sm.puri.phosh.PhoshAppFilterModeFlags GSetting.

phosh 0.11.0
------------
Released: May 2021
* Wifi/WWAN/BT quick settings toggle on/off, long press opens Settings
* Initial support for gnome-session --systemd
* Torch brightness slider
* Allow to show battery percentage in top bar
* Fixes modal-dialog keyboard navigation
* Fixes crash with ja locale
